## tcm 2.20+TSQD

=== bin/Makefile ===
TCM_INSTALL_BIN=$(TCM_INSTALL_DIR)/bin

all:

config:

install:
	@if test $(TCM_COMPILER) = gcc; then\
		TCM_HOME=$(TCM_HOME) ./linkx; fi
	if test ! -d $(TCM_INSTALL_BIN); then\
                mkdir -p $(TCM_INSTALL_BIN);\
                $(CHMOD) 755 $(TCM_INSTALL_BIN); \
		fi
	$(TCM_INSTALL_CMD) psf t* $(TCM_INSTALL_BIN)

clean:
	$(RM) t* c*

-include $(TCM_HOME)/src/Config.tmpl

=== doc/Makefile ===
SUBDIRS = docxx userdoc techdoc classdoc

TCM_COMPILE_DIR=$(shell pwd)/..
TEXINPUTS=.:$(TCM_COMPILE_DIR)/doc/docsrc/texstyles

ifndef TCM_INSTALL_DOC
	TCM_INSTALL_DOC=$(TCM_INSTALL_DIR)/doc/
endif

config:

all:
	@echo making $@ for $(TCM_PLATFORM)...
	for dir in $(SUBDIRS); do \
                (cd docsrc/$${dir}; \
                 ${MAKE} -k TCM_COMPILE_DIR='$(TCM_COMPILE_DIR)' \
			    TCM_VERSION='$(TCM_VERSION)' \
			    TEXINPUTS='$(TEXINPUTS)' $@); done
	@echo done making $@ for $(TCM_PLATFORM)

clean:
	if test -d docsrc; then\
                for dir in $(SUBDIRS); do \
                        (cd docsrc/$${dir}; \
                        ${MAKE} $@); done; \
                $(RM) usersguide/*; \
                $(RM) developersguide/*; \
                $(RM) sourcecode/*; \
                $(RM) *.pdf *.ps.gz; fi \
 

install:
	if test ! -d $(TCM_INSTALL_DOC); then\
		mkdir -p $(TCM_INSTALL_DOC);\
		chmod 755 $(TCM_INSTALL_DOC);\
		mkdir -p $(TCM_INSTALL_DOC)/usersguide;\
		chmod 755 $(TCM_INSTALL_DOC)/usersguide; fi
	chmod 644 index.html usersguide/*.*
	$(TCM_INSTALL_CMD) usersguide*.pdf.gz usersguide*.ps.gz index.html \
			usersguide.html wishlist $(TCM_INSTALL_DOC)
	$(TCM_INSTALL_CMD) usersguide/*.html usersguide/*.gif \
			usersguide/*.css $(TCM_INSTALL_DOC)/usersguide


docxx classdoc techdoc userdoc:
	(cd docsrc/$@; \
	${MAKE} -k TCM_COMPILE_DIR='$(TCM_COMPILE_DIR)' \
			    TCM_VERSION='$(TCM_VERSION)' \
			    TEXINPUTS='$(TEXINPUTS)' all)

=== src/dg/Makefile ===

include ../Config.tmpl

OBJECTS=addhandlecmd.o\
	alignnodeshapescmd.o\
	anchorpoint.o\
	anchorpointnode.o\
	arrowtextbox.o\
	blackdot.o\
	box.o\
	buffer.o\
	buildingblock.o\
	bullseye.o\
	c1edge.o\
	circle.o\
	comment.o\
	commentlink.o\
	copyshapescmd.o\
	createedgecmd.o\
	createnodecmd.o\
	cube.o\
	cutshapescmd.o\
	deleteallsubjectscmd.o\
	deletehandlecmd.o\
	deleteselectedsubjectscmd.o\
	deleteshapescmd.o\
	deletesubjectscmd.o\
	diagram.o\
	diagramchecks.o\
	diagramstubs.o\
	diagramviewer.o\
	diagramwindow.o\
	diamond.o\
	disk.o\
	doublebox.o\
        draghandlecmd.o\
        dragshapecmd.o\
        dragshapescmd.o\
        dragtextshapecmd.o\
	duplicateshapescmd.o\
	edge.o\
	ellipse.o\
	ellipsedbox.o\
	emptyedge.o\
	emptynode.o\
	findalltextscmd.o\
	findnexttextcmd.o\
	flasharrow.o\
	folder.o\
	genericedge.o\
	genericnode.o\
	graph.o\
	gshape.o\
	hexagon.o\
	horizontalbar.o\
	leftlinecircle.o\
	line.o\
	miniarrowellipse.o\
	minidiamond.o\
	miniellipse.o\
	minitriangle.o\
	moveallshapescmd.o\
	moveshapescmd.o\
	node.o\
	nodealign.o\
	nodeshape.o\
	note.o\
	notebox.o\
	pasteshapescmd.o\
	reindexcmd.o\
	replacealltextscmd.o\
	replacenexttextcmd.o\
	replacetextcmd.o\
	roundedbox.o\
	samesizecmd.o\
	selectallcmd.o\
	selectareacmd.o\
	shape.o\
	shapeview.o\
	shapes.o\
	sizeshapecmd.o\
	sizeshapecentercmd.o\
	sizeshapebordercmd.o\
	solidhorizontalbar.o\
	solidverticalbar.o\
	square.o\
	stickman.o\
	stringlistnode.o\
	stringlistnode2.o\
	stringlistedge.o\
	subfolder.o\
	subject.o\
	subjects.o\
	t1line.o\
	t2line.o\
	t4line.o\
	t4tlistline.o\
	textbox.o\
	textshape.o\
	textshapeeditor.o\
	thing.o\
	triangle.o\
	triplebox.o\
	updatecolorcmd.o\
	updatecurvecmd.o\
	updatefillcolorcmd.o\
	updatetextalignmentcmd.o\
	updatetextunderlinecmd.o\
	updatefontcmd.o\
	updatelinecolorcmd.o\
	updatelineendcmd.o\
	updatelinestylecmd.o\
	updatelinewidthcmd.o\
	updatetextcmd.o\
	updatetextcolorcmd.o\
	updatetypecmd.o\
	updatenodeshapetypecmd.o\
	verticalbar.o\
	whitedot.o\
	hyperedge.o\
	hypergraph.o\
	polygon.o\
	polypoint.o\
	shapetype.o

libdiagram.a: $(OBJECTS)
	$(AR) $@ $(OBJECTS)
	$(CHMODPLUSX) $@
	$(MV) $@ $(LIB_DIR)

libdiagram.so: $(OBJECTS)
	$(CC) $(CFLAGS) $(SHAREDFLAG) $(OBJECTS) -o $@
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(LIB_DIR)

clean: xclean

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
addhandlecmd.o: addhandlecmd.c line.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h addhandlecmd.h \
  draghandlecmd.h dragshapecmd.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/command.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h diagramviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h shapeview.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/grid.h nodealign.h
alignnodeshapescmd.o: alignnodeshapescmd.c gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  shapeview.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  alignnodeshapescmd.h moveshapescmd.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/command.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h diagramviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/grid.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h nodealign.h
anchorpoint.o: anchorpoint.c anchorpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h
anchorpointnode.o: anchorpointnode.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h node.h subject.h \
  thing.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h hypergraph.h \
  anchorpointnode.h anchorpoint.h
arrowtextbox.o: arrowtextbox.c arrowtextbox.h nodeshape.h gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h shapetype.h \
  polygon.h polypoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  ../sd/tr/trviewer.h diagramviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h shapeview.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/grid.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h nodealign.h
blackdot.o: blackdot.c blackdot.h nodeshape.h gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h shapetype.h \
  polygon.h polypoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h
box.o: box.c box.h nodeshape.h gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h shapetype.h \
  polygon.h polypoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h
buffer.o: buffer.c shapes.h \

=== src/ed/Makefile ===
include ../Config.tmpl

CFLAGS += -DTCM_INSTALL_DIR=\"$(TCM_INSTALL_DIR)\"

OBJECTS=command.o\
	document.o\
	drawingarea.o\
	drawwindow.o\
	editstubs.o\
	editwindow.o\
	grid.o\
	inlineeditor.o\
        helper.o\
	printer.o\
	scaler.o\
	stringlist.o\
	viewer.o

STARTOBJECTS=helper.o\
	startupwindow.o\
	startup.o

libeditor.a: $(OBJECTS) 
	$(AR) $@ $(OBJECTS) 
	$(CHMODPLUSX) $@
	$(MV) $@ $(LIB_DIR)

libeditor.so: $(OBJECTS) 
	$(CC) $(CFLAGS) $(CPPFLAGS) $(SHAREDFLAG) $(OBJECTS) -o $@
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(LIB_DIR)

tcm$(EXEEXTENSION): $(STARTOBJECTS)
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(STARTOBJECTS) -o $@ \
	$(LDFLAGS) -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

clean: xclean

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
command.o: command.c command.h viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h drawwindow.h \
  editwindow.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h
document.o: document.c document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h drawwindow.h \
  editwindow.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/texteditdialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/textviewdialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/fileselectiondialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/selectiondialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/finddialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/replacedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/questiondialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/menu.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/menuitem.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/system.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/version.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/config.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/pagesize.h viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h scaler.h \
  editstubs.h
drawingarea.o: drawingarea.c drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h drawwindow.h \
  editwindow.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xgrafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/grafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/color.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h command.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/menu.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/menuitem.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/key.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/config.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/pagesize.h
drawwindow.o: drawwindow.c drawwindow.h editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/menu.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/menuitem.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/config.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/pagesize.h editstubs.h \
  helper.h document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/system.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/liteclue.h
editstubs.o: editstubs.c editstubs.h inlineeditor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/promptdialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/selectiondialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/scaledialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/replacedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/finddialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/texteditdialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/textviewdialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/fileselectiondialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/colorchooserdialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/color.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/ntogglelistdialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/fontchooserdialog.h \
  printer.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/pagesize.h \
  document.h drawwindow.h editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h helper.h \
  viewer.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h scaler.h \
  grid.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/menu.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/menuitem.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mstring.h
editwindow.o: editwindow.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mstring.h document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h drawwindow.h \
  editwindow.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h editstubs.h \
  printer.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/pagesize.h \
  helper.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/menu.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/menuitem.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/system.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/version.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/liteclue.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/config.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/Teapot2a.xbm
grid.o: grid.c /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/grafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \

=== src/sd/Makefile ===
include ../Config.tmpl

tcmd$(EXEEXTENSION):
	( cd ./gd ; $(MAKE) libtcmgd.a)
	( cd ./tr ; $(MAKE) libtcmtr.a)
	( cd ./dv ; $(MAKE) libtcmdv.a)
	( cd ./bv ; $(MAKE) libtcmbv.a)
	( cd ./fv ; $(MAKE) libtcmfv.a)
	( cd ./pv ; $(MAKE) libtcmpv.a)
	( cd ./gd ; $(MAKE) $@)

tcmgd$(EXEEXTENSION) tgd$(EXEEXTENSION):   
	( cd ./gd ; $(MAKE) $@)

tcmtr$(EXEEXTENSION) tgtt$(EXEEXTENSION) tfrt$(EXEEXTENSION):   
	( cd ./tr ; $(MAKE) $@)

tcmdv$(EXEEXTENSION) terd$(EXEEXTENSION) tesd$(EXEEXTENSION) tcrd$(EXEEXTENSION) tssd$(EXEEXTENSION) tucd$(EXEEXTENSION) tcbd$(EXEEXTENSION) tsqd$(EXEEXTENSION):
	( cd ./dv ; $(MAKE) $@)

tcmbv$(EXEEXTENSION) tscd$(EXEEXTENSION) tstd$(EXEEXTENSION) trpg$(EXEEXTENSION) tpsd$(EXEEXTENSION) tatd$(EXEEXTENSION):   
	( cd ./bv ; $(MAKE) $@)

tcmfv$(EXEEXTENSION) tdfd$(EXEEXTENSION) tefd$(EXEEXTENSION) tsnd$(EXEEXTENSION):   
	( cd ./fv ; $(MAKE) $@)

tcmpv$(EXEEXTENSION) tdpd$(EXEEXTENSION) tcpd$(EXEEXTENSION):   
	( cd ./pv ; $(MAKE) $@)

tsqd$(EXEEXTENSION):
	@echo $@ not available yet

SUBDIRS = bv dv fv gd pv tr

clean depend undepend:
	for dir in $(SUBDIRS); do \
                (cd $${dir}; ${MAKE} $@); done

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== src/st/Makefile ===
include ../Config.tmpl

TDOBJECTS =     tdtable.o tdwindow.o tdviewer.o
 
TUOBJECTS =     tutable.o tuwindow.o tuviewer.o
 
FEOBJECTS =     fetable.o fewindow.o feviewer.o
 
TBOBJECTS = $(TDOBJECTS) $(TUOBJECTS) $(FEOBJECTS)

tcmt$(EXEEXTENSION):   $(TBOBJECTS) tcmt.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(TBOBJECTS) tcmt.o \
	$(LIB_DIR)/libtable.a $(LIB_DIR)/libeditor.a $(LIB_DIR)/libgui.a \
         -o $@ $(LDFLAGS) $(LIB_DIR)/libglobal.a $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tgt$(EXEEXTENSION):    $(OBJECTS) tableeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) tableeditor.o -o $@ \
	$(LDFLAGS) -ltable -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

ttdt$(EXEEXTENSION):   $(TDOBJECTS) tdeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(TDOBJECTS) tdeditor.o -o $@ \
	$(LDFLAGS) -ltable -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

ttut$(EXEEXTENSION):   $(TUOBJECTS) tueditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(TUOBJECTS) tueditor.o -o $@ \
	$(LDFLAGS) -ltable -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tfet$(EXEEXTENSION):   $(FEOBJECTS) feeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(FEOBJECTS) feeditor.o -o $@ \
	$(LDFLAGS) -ltable -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

clean: xclean

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
feeditor.o: feeditor.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/application.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h fewindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/tablewindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h
fetable.o: fetable.c fewindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/tablewindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h feviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/matrixviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/tableviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/side.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/linepiece.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/cellselection.h fetable.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/matrix.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/table.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/cellrow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/cellvector.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/cellcolumn.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/cell.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/celltext.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/simplelabel.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h
feviewer.o: feviewer.c feviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/matrixviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/tableviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/side.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/linepiece.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/cellselection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/cellcolumn.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/cellvector.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/tablewindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/table.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/config.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/pagesize.h
fewindow.o: fewindow.c fewindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/tablewindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h feviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/matrixviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/tableviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/side.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/linepiece.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/cellselection.h fetable.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/matrix.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/table.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h
tableeditor.o: tableeditor.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/application.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/tablewindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h
tcmt.o: tcmt.c /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/application.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/system.h fewindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/tablewindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h tuwindow.h \
  tdwindow.h
tdeditor.o: tdeditor.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/application.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h tdwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/tb/tablewindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h
tdtable.o: tdtable.c tdwindow.h \

=== src/tb/Makefile ===
include ../Config.tmpl

OBJECTS=addcolumnscmd.o\
	addrowscmd.o\
	appendtablecmd.o\
        cell.o\
	cellcolumn.o\
	cellrow.o\
        cellselection.o\
	celltext.o\
	celltextbuffer.o\
	celltexteditor.o\
	cellvector.o\
	copycelltextscmd.o\
	cutcelltextscmd.o\
	deleteallcellscmd.o\
	deletecellscmd.o\
	deletecolumnscmd.o\
	deleterowscmd.o\
	dragcelltextcmd.o\
	dragcmd.o\
	dragcolumncmd.o\
	dragcolumnlabelcmd.o\
	dragrowcmd.o\
	dragrowlabelcmd.o\
	findallcellscmd.o\
	findnextcellcmd.o\
	linepiece.o\
	matrix.o\
	matrixviewer.o\
	movetablecmd.o\
	pastecelltextscmd.o\
	purgecellscmd.o\
	replaceallcelltextscmd.o\
	replacecelltextcmd.o\
	replacenextcelltextcmd.o\
	rowcolumnlabel.o\
	selectallcellscmd.o\
	selectcellareacmd.o\
	simplelabel.o\
	sortcolumnscmd.o\
	sortrowscmd.o\
	table.o\
	tablestubs.o\
	tableviewer.o\
	tablewindow.o\
	updatelinestyletablecmd.o\
	updatelinetablecmd.o\
	updatelinewidthtablecmd.o\
	updatecolumnalignmentcmd.o\
	updaterowalignmentcmd.o\
	updatevectoralignmentcmd.o\
	updatecelltextcmd.o\
	updatecelltextunderlinecmd.o\
	updatecelltextfontcmd.o

libtable.a: $(OBJECTS)
	$(AR) $@ $(OBJECTS)
	$(CHMODPLUSX) $@
	$(MV) $@ $(LIB_DIR)

libtable.so: $(OBJECTS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(SHAREDFLAG) $(OBJECTS) -o $@
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(LIB_DIR)

clean: xclean

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
addcolumnscmd.o: addcolumnscmd.c addcolumnscmd.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/command.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h tableviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/side.h linepiece.h \
  cellselection.h table.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h cellcolumn.h \
  cellvector.h cell.h celltext.h simplelabel.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h
addrowscmd.o: addrowscmd.c addrowscmd.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/command.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h tableviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/side.h linepiece.h \
  cellselection.h table.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h cellrow.h \
  cellvector.h cell.h celltext.h simplelabel.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h cellcolumn.h
appendtablecmd.o: appendtablecmd.c appendtablecmd.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/command.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h tableviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/side.h linepiece.h \
  cellselection.h table.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h addrowscmd.h \
  addcolumnscmd.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h
cell.o: cell.c cell.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h celltext.h \
  simplelabel.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h cellcolumn.h \
  cellvector.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h tableviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/side.h linepiece.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h cellselection.h \
  cellrow.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/grafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/color.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h
cellcolumn.o: cellcolumn.c cellcolumn.h cellvector.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h tableviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/side.h linepiece.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h cellselection.h \
  rowcolumnlabel.h simplelabel.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h cell.h celltext.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h
cellrow.o: cellrow.c cellrow.h cellvector.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h tableviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/side.h linepiece.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h cellselection.h \
  cell.h celltext.h simplelabel.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h cellcolumn.h \
  rowcolumnlabel.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \

=== src/sd/bv/Makefile ===
include ../../Config.tmpl
 
PSOBJECTS = pschecks.o\
	psdiagram.o\
	psgraph.o\
	psprocess.o\
	psstubs.o\
	psviewer.o\
	pswindow.o\
	urlabeledbox.o
 
STOBJECTS = decisionpoint.o\
	draghlinecmd.o\
	dragstlabelcmd.o\
	initialstate.o\
	initialstatebox.o\
	state.o\
	stchecks.o\
	stdiagram.o\
	stgraph.o\
	stnode.o\
	stviewer.o\
	stwindow.o\
	transition.o\
	transitionarrow.o

# uncomment the next lines to include experimental translation to model checkers
#STOBJECTS += eventset.o\
#	klocation.o\
#	kronos.o\
#	ptrset.o\
#	ktransition.o\
#	relevantset.o\
#	smv.o
#CFLAGS += -DMODELCHECK

SCOBJECTS = $(PARSER)\
	adsclock.o\
	adsclockconstraint.o\
	adsproperty.o\
	adsvariable.o\
	scchecks.o\
	scdandedge.o\
	scdandline.o\
	scdandstate.o\
	scdandstatebox.o\
	scdcreateandlinecmd.o\
	scddecisionstate.o\
	scddefaultstate.o\
	scdfinalstate.o\
	scdiagram.o\
	scdorstate.o\
	scdsynchronizationstate.o\
	scdtransitionedge.o\
	scgraph.o\
	scnode.o\
	scviewer.o\
	scwindow.o

RPOBJECTS = event.o\
	processgraphnode.o\
	processgraphroot.o\
	rpdiagram.o\
	rpgraph.o\
	rpupdatenodeshapetypecmd.o\
	rpviewer.o\
	rpwindow.o

PARSER = adsedgelabel.tab.o\
        adsedgelabel.o\
        adsedgelabelevaluation.tab.o\
        adsedgelabelevaluation.o\
        adsmcoutput.tab.o\
        adsmcoutput.o\
	adsltlformula.tab.o\
	adsltlformula.o

ATOBJECTS = $(PARSER)\
	atchecks.o \
	atdactionstatenode.o \
	atddecisionstatenode.o \
	atdfinalstatenode.o \
	atdwaitstatenode.o \
	atdinitialstatenode.o \
	atdsynchronizationnode.o \
	atdtransitionedge.o \
	atdiagram.o\
	atgraph.o\
	atviewer.o\
	atupdatenodeshapetypecmd.o\
	atwindow.o\
	adsactivity.o\
	adscks.o\
	adsclock.o\
	adsclockconstraint.o\
	adsclockmanager.o\
	adseliminatepseudostatenodes.o\
	adshyperedge.o\
	adshypergraph.o\
	adsproperty.o\
	adspropertyvaluation.o\
	adssemantics.o\
	adstransition.o\
	adsvaluation.o\
	adsvariable.o\
	bag.o

BVOBJECTS = $(STOBJECTS) $(SCOBJECTS) $(PSOBJECTS) $(RPOBJECTS) $(ATOBJECTS)
 
tcmbv$(EXEEXTENSION):  $(BVOBJECTS) tcmbv.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(BVOBJECTS) \
	-ldiagram -leditor -lguix $(LIB_DIR)/libglobal.a \
	tcmbv.o -o $@ $(LDFLAGS) $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

libtcmbv.a: $(BVOBJECTS)
	$(AR) $@ $(BVOBJECTS)
	$(CHMODPLUSX) $@
	$(RANLIB) $@
	$(MV) $@ $(LIB_DIR)

tpsd$(EXEEXTENSION):   $(PSOBJECTS) pseditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(PSOBJECTS) pseditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tstd$(EXEEXTENSION):   $(STOBJECTS) steditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(STOBJECTS) steditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tscd$(EXEEXTENSION):   $(SCOBJECTS) sceditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(SCOBJECTS) sceditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

trpg$(EXEEXTENSION):   $(RPOBJECTS) rpeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(RPOBJECTS) rpeditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tatd$(EXEEXTENSION):   $(ATOBJECTS) ateditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(ATOBJECTS) ateditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

adsedgelabel.tab.c: adsedgelabel.y adsedgelabel.l
	$(YACC) -p adsedgelabel -d adsedgelabel.y
	$(LEX) -Padsedgelabel -oadsedgelabel.c adsedgelabel.l
adsedgelabel.tab.h: adsedgelabel.y adsedgelabel.l
	$(YACC) -p adsedgelabel -d adsedgelabel.y
	$(LEX) -Padsedgelabel -oadsedgelabel.c adsedgelabel.l
adsedgelabel.c: adsedgelabel.l adsedgelabel.y
	$(LEX) -Padsedgelabel -oadsedgelabel.c adsedgelabel.l
adsedgelabel.o:
	$(Cc) -c adsedgelabel.c
adsedgelabel.tab.o: adsedgelabel.tab.h
	$(Cc) -c adsedgelabel.tab.c


adsedgelabelevaluation.tab.c: adsedgelabelevaluation.y adsedgelabelevaluation.l
	$(YACC) --debug -p adsedgelabelevaluation -d adsedgelabelevaluation.y
	$(LEX) -Padsedgelabelevaluation -oadsedgelabelevaluation.c adsedgelabelevaluation.l
adsedgelabelevaluation.tab.h: adsedgelabelevaluation.y adsedgelabelevaluation.l
	$(YACC) --debug -p adsedgelabelevaluation -d adsedgelabelevaluation.y
	$(LEX) -Padsedgelabelevaluation -oadsedgelabelevaluation.c adsedgelabelevaluation.l
adsedgelabelevaluation.c: adsedgelabelevaluation.l adsedgelabelevaluation.y
	$(LEX) -Padsedgelabelevaluation -oadsedgelabelevaluation.c adsedgelabelevaluation.l
adsedgelabelevaluation.o:
	$(Cc) -c adsedgelabelevaluation.c
adsedgelabelevaluation.tab.o: adsedgelabelevaluation.tab.h
	$(Cc) -c adsedgelabelevaluation.tab.c
 
adsmcoutput.tab.c: adsmcoutput.y adsmcoutput.l
	$(YACC) -p adsmcoutput -d adsmcoutput.y
	$(LEX) -Padsmcoutput -oadsmcoutput.c adsmcoutput.l
adsmcoutput.tab.h: adsmcoutput.y adsmcoutput.l
	$(YACC) -p adsmcoutput -d adsmcoutput.y
	$(LEX) -Padsmcoutput -oadsmcoutput.c adsmcoutput.l
adsmcoutput.c: adsmcoutput.l adsmcoutput.y
	$(LEX) -Padsmcoutput -oadsmcoutput.c adsmcoutput.l
adsmcoutput.o:
	$(Cc) -c adsmcoutput.c
adsmcoutput.tab.o: adsmcoutput.tab.h
	$(Cc) -c adsmcoutput.tab.c

adsltlformula.tab.c: adsltlformula.y adsltlformula.l
	$(YACC) -p adsltlformula -d adsltlformula.y
	$(LEX) -Padsltlformula -oadsltlformula.c adsltlformula.l
adsltlformula.tab.h: adsltlformula.y adsltlformula.l
	$(YACC) -p adsltlformula -d adsltlformula.y
	$(LEX) -Padsltlformula -oadsltlformula.c adsltlformula.l
adsltlformula.c: adsltlformula.l adsltlformula.y
	$(LEX) -Padsltlformula -oadsltlformula.c adsltlformula.l
adsltlformula.o:
	$(Cc) -c adsltlformula.c
adsltlformula.tab.o: adsltlformula.tab.h
	$(Cc) -c adsltlformula.tab.c
 

clean: xclean

xclean::
	$(RM) adsedgelabel.c adsedgelabel.tab.*
	$(RM) adsedgelabelevaluation.c adsedgelabelevaluation.tab.*
	$(RM) adsmcoutput.c adsmcoutput.tab.*
	$(RM) adsltlformula.c adsltlformula.tab.*

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
adsactivity.o: adsactivity.c adsactivity.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h adsvariable.h \
  adspropertytype.h
adscks.o: adscks.c adsclockmanager.h adsclock.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  adspropertytype.h adsvariable.h bag.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h adshyperedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hyperedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  adsclockconstraint.h adsproperty.h ../../gl/bool.h ../../gl/lstring.h \
  atdiagram.h atviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapeview.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/grid.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodealign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagram.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/sequence.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/grafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/color.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h adscks.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h hashlist.h \
  adsvaluation.h atdactionstatenode.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h adsactivity.h \
  adstransition.h adshypergraph.h adspropertyvaluation.h
adsclock.o: adsclock.c adsclock.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  adspropertytype.h adsvariable.h bag.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h adshyperedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hyperedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  adsclockconstraint.h adsproperty.h ../../gl/bool.h ../../gl/lstring.h \
  /usr/include/stdio.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h
adsclockconstraint.o: adsclockconstraint.c adsclockconstraint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h adsproperty.h \
  ../../gl/bool.h ../../gl/lstring.h adspropertytype.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h adsclock.h \
  adsvariable.h bag.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h adshyperedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hyperedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /usr/include/stdio.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h
adsclockmanager.o: adsclockmanager.c adsclockmanager.h adsclock.h \

=== src/sd/dv/Makefile ===
include ../../Config.tmpl
 
PARSER= cardconstraint.tab.o\
        cardconstraint.o

EROBJECTS = $(PARSER)\
	binaryrelationship.o\
	c1arrow.o\
	c2r2line.o\
	entitytype.o\
	erchecks.o\
	erdiagram.o\
	ergraph.o\
	erstubs.o\
	erview.o\
	erviewer.o\
	erwindow.o\
	function.o\
	isarelationship.o\
	relationshipnode.o\
	taxonomyjunction.o\
	updatereaddirectioncmd.o\
	valuetype.o

SSCROBJECTS = doubleclassbox.o\
	tripleclassbox.o\
        updateclassboxtypecmd.o
 
CROBJECTSX = classnode.o\
	componentfunction.o\
	crchecks.o\
	crdiagram.o\
	crgraph.o\
	crviewer.o\
	crwindow.o\
	modejunction.o

SESDOBJECTSX = ssdaggregationedge.o\
	ssdaggregationnode.o\
	ssdassociationlinkedge.o\
	ssdassociationnode.o\
	ssdbinaryassociationedge.o\
        ssdchecks.o\
        ssdclassnode.o\
        ssdcompositionedge.o\
	ssddoubleclassbox.o\
	ssddoubleobjectbox.o\
	ssdgeneralizationedge.o\
	ssdgeneralizationnode.o\
        ssdgraph.o\
	ssdobjectlinkedge.o\
	ssdobjectnode.o\
	ssdparticipantlinkedge.o\
	ssdr2line.o\
	ssdrcline.o\
	ssdsingleclassbox.o\
	ssdsingleobjectbox.o\
        ssdstubs.o\
	ssdtripleclassbox.o\
	ssdupdateclassboxtypecmd.o\
	ssdupdateclassboxpropertycmd.o\
        ssdviewer.o

SSDOBJECTSX = ssddiagram.o\
        ssdwindow.o

ESDOBJECTSX = esddiagram.o\
        esdwindow.o

UCDOBJECTSX=ucchecks.o\
	ucdactornode.o\
	ucdbinaryassociationedge.o\
	ucdboundarybox.o\
	ucdiagram.o\
	ucdgeneralizationedge.o\
	ucdsingleclassbox.o\
	ucdsystemnode.o \
	ucdusecasenode.o\
	ucgraph.o\
	ucupdateactortypecmd.o\
	ucviewer.o\
	ucwindow.o

CBDOBJECTSX=cbactor.o\
	c2r2mlistline.o\
	cbchecks.o\
	cbdiagram.o\
	cbgraph.o\
	cbdmessage.o\
	cbinteraction.o\
	cbclasslinkedge.o\
	cbobjectlinkedge.o\
	cbclassnode.o\
	cbsingleclassbox.o\
	ssdsingleclassbox.o\
		ssddoubleclassbox.o\
		ssdtripleclassbox.o\
		doubleclassbox.o\
		tripleclassbox.o\
	cbobjectnode.o\
	ucdsingleclassbox.o\
	ssdsingleobjectbox.o\
	cbupdateactortypecmd.o\
	ssdupdateclassboxpropertycmd.o\
	updatemessagedirectioncmd.o\
	cbstubs.o\
	cbviewer.o\
	cbwindow.o

SQDOBJECTSX=cbactor.o\
	sqchecks.o\
	sqdiagram.o\
	sqgraph.o\
	sqanchorlinkedge.o\
	cbdmessage.o\
	cbclassnode.o\
	lifeline.o\
	apline.o\
	createfoccmd.o\
	createl2ledgecmd.o\
	pullfoccmd.o\
	pullshapecmd.o\
	cbsingleclassbox.o\
	ssdsingleclassbox.o\
		ssddoubleclassbox.o\
		ssdtripleclassbox.o\
		doubleclassbox.o\
		tripleclassbox.o\
	sqobjectnode.o\
	ucdsingleclassbox.o\
	ssdsingleobjectbox.o\
	cbupdateactortypecmd.o\
	ssdupdateclassboxpropertycmd.o\
	sqstubs.o\
	sqviewer.o\
	sqwindow.o

CROBJECTS = $(EROBJECTS) $(SSCROBJECTS) $(CROBJECTSX)

ESDOBJECTS = $(EROBJECTS) $(SSCROBJECTS) $(SESDOBJECTSX) $(ESDOBJECTSX)

SSDOBJECTS = $(EROBJECTS) $(SSCROBJECTS) $(SESDOBJECTSX) $(SSDOBJECTSX)

UCDOBJECTS = $(EROBJECTS) $(UCDOBJECTSX)

CBDOBJECTS = $(EROBJECTS) $(CBDOBJECTSX)

SQDOBJECTS = $(EROBJECTS) $(SQDOBJECTSX)

DVOBJECTS = $(EROBJECTS) $(SSCROBJECTS) $(CROBJECTSX) $(CBDOBJECTSX) \
	$(SESDOBJECTSX) $(ESDOBJECTSX) $(SSDOBJECTSX) $(UCDOBJECTSX) \
	$(SQDOBJECTSX)

tcmdv$(EXEEXTENSION):  $(DVOBJECTS) tcmdv.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(DVOBJECTS) \
	$(LDFLAGS) -ldiagram -leditor -lguix $(LIB_DIR)/libglobal.a \
	tcmdv.o -o $@ $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

libtcmdv.a: $(DVOBJECTS)
	$(AR) $@ $(DVOBJECTS)
	$(CHMODPLUSX) $@
	$(RANLIB) $@
	$(MV) $@ $(LIB_DIR)

terd$(EXEEXTENSION):   $(EROBJECTS) ereditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(EROBJECTS) ereditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tcrd$(EXEEXTENSION):   $(CROBJECTS) creditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(CROBJECTS) creditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tesd$(EXEEXTENSION):   $(ESDOBJECTS) esdeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(ESDOBJECTS) esdeditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tssd$(EXEEXTENSION):   $(SSDOBJECTS) ssdeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(SSDOBJECTS) ssdeditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tucd$(EXEEXTENSION):   $(UCDOBJECTS) uceditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(UCDOBJECTS) uceditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tcbd$(EXEEXTENSION):   $(CBDOBJECTS) cbeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(CBDOBJECTS) cbeditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tsqd$(EXEEXTENSION):   $(SQDOBJECTS) sqeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(SQDOBJECTS) sqeditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	chmod a+rx $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

cardconstraint.tab.c: cardconstraint.y cardconstraint.l
	$(YACC) --debug -p cardconstraint -d cardconstraint.y
	$(LEX) -Pcardconstraint -ocardconstraint.c cardconstraint.l
cardconstraint.tab.h: cardconstraint.y cardconstraint.l
	$(YACC) --debug -p cardconstraint -d cardconstraint.y
	$(LEX) -Pcardconstraint -ocardconstraint.c cardconstraint.l
cardconstraint.c: cardconstraint.l cardconstraint.y
	$(LEX) -Pcardconstraint -ocardconstraint.c cardconstraint.l
cardconstraint.o:
	$(Cc) -c cardconstraint.c
cardconstraint.tab.o: cardconstraint.tab.h
	$(Cc) -c cardconstraint.tab.c

clean: xclean

xclean::
	$(RM) cardconstraint.c cardconstraint.tab.*

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
apline.o: apline.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/grafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/color.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/assoclist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/assoc.h lifeline.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodeshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapetype.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/polygon.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/polypoint.h apline.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/line.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h sqobjectnode.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/anchorpoint.h \
  sqanchorlinkedge.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h
binaryrelationship.o: binaryrelationship.c binaryrelationship.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h erparse.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h
c1arrow.o: c1arrow.c c1arrow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/t1line.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/line.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/c1edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h
c2r2line.o: c2r2line.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/grafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/color.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  binaryrelationship.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h c2r2line.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/t4line.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/t2line.h \

=== src/sd/fv/Makefile ===
include ../../Config.tmpl

PARSER = cardconstraint.tab.o\
	cardconstraint.o

DFOBJECTS = bidirectionaldataflow.o\
	dataflow.o\
	dataprocess.o\
	datastore.o\
	dfchecks.o\
	dfdiagram.o\
	dfedge.o\
	dfgraph.o\
	dfnode.o\
	dfprocess.o\
	dfstore.o\
	dfstubs.o\
	dfviewer.o\
	dfwindow.o\
	externalentity.o\
	splitmergenode.o
 
DCFOBJECTS = $(DFOBJECTS)\
	dcfchecks.o\
	dcfdiagram.o\
	dcfgraph.o\
	dcfstubs.o\
	dcfviewer.o\
	dcfwindow.o\
	continuousdataflow.o\
	continuouseventflow.o\
	controlprocess.o\
	eventflow.o\
	eventstore.o
 
SNOBJECTS = connectionend.o\
	connectionstart.o\
	controlleddatastream.o\
	datastream.o\
	endc1arrow.o\
	snchecks.o\
	sndiagram.o\
	sngraph.o\
	snnode.o\
	snprocess.o\
	snviewer.o\
	snwindow.o\
	statevector.o\
	startc1line.o

FVOBJECTS = $(DCFOBJECTS) $(SNOBJECTS)

tcmfv$(EXEEXTENSION):  $(FVOBJECTS) tcmfv.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(FVOBJECTS) \
	-ldiagram -leditor -lguix $(LIB_DIR)/libglobal.a \
	tcmfv.o -o $@ $(LDFLAGS) $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

libtcmfv.a: $(FVOBJECTS)
	$(AR) $@ $(FVOBJECTS)
	$(CHMODPLUSX) $@
	$(RANLIB) $@
	$(MV) $@ $(LIB_DIR)

tdfd$(EXEEXTENSION):   $(DFOBJECTS) dfeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(DFOBJECTS) dfeditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tsnd$(EXEEXTENSION):   $(SNOBJECTS) $(PARSER) sneditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(SNOBJECTS) $(PARSER) sneditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tefd$(EXEEXTENSION):  $(DCFOBJECTS) dcfeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(DCFOBJECTS) dcfeditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

cardconstraint.tab.c: cardconstraint.y cardconstraint.l
	$(YACC) --debug -p cardconstraint -d cardconstraint.y
	$(LEX) -Pcardconstraint -ocardconstraint.c cardconstraint.l
cardconstraint.tab.h: cardconstraint.y cardconstraint.l
	$(YACC) --debug -p cardconstraint -d cardconstraint.y
	$(LEX) -Pcardconstraint -ocardconstraint.c cardconstraint.l
cardconstraint.c: cardconstraint.l cardconstraint.y
	$(LEX) -Pcardconstraint -ocardconstraint.c cardconstraint.l
cardconstraint.o:
	$(Cc) -c cardconstraint.c
cardconstraint.tab.o: cardconstraint.tab.h
	$(Cc) -c cardconstraint.tab.c

clean: xclean

xclean::
	$(RM) cardconstraint.c cardconstraint.tab.*

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
bidirectionaldataflow.o: bidirectionaldataflow.c bidirectionaldataflow.h \
  dataflow.h dfedge.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h dfgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h
connectionend.o: connectionend.c connectionend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/c1edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h sngraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h erparse.h
connectionstart.o: connectionstart.c connectionstart.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/c1edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h sngraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h erparse.h
continuousdataflow.o: continuousdataflow.c continuousdataflow.h \
  dataflow.h dfedge.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h dcfgraph.h \
  dfgraph.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h
continuouseventflow.o: continuouseventflow.c continuouseventflow.h \
  eventflow.h dfedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h dcfgraph.h \
  dfgraph.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h
controlleddatastream.o: controlleddatastream.c controlleddatastream.h \
  snnode.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h sngraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h
controlprocess.o: controlprocess.c controlprocess.h dfprocess.h dfnode.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h dcfgraph.h \
  dfgraph.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h
dataflow.o: dataflow.c dataflow.h dfedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h dfgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h
dataprocess.o: dataprocess.c dataprocess.h dfprocess.h dfnode.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h dfgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h
datastore.o: datastore.c datastore.h dfstore.h dfnode.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/outputfile.h dfgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h
datastream.o: datastream.c datastream.h snnode.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h sngraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h
dcfchecks.o: dcfchecks.c dcfchecks.h dfchecks.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramchecks.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \

=== src/sd/pv/Makefile ===
include ../../Config.tmpl
 
CPOBJECTS = cpdcomponentnode.o\
	cpdinterfacenode.o\
	cpddependencyedge.o\
	cpdrealizationedge.o\
	dpdresourcenode.o\
	dpdcommunicationedge.o\
	cpdiagram.o\
	cpgraph.o\
	cpviewer.o\
	cpwindow.o

DPOBJECTS = dpdiagram.o\
	dpwindow.o

PVOBJECTS = $(CPOBJECTS) $(DPOBJECTS)

tcmpv$(EXEEXTENSION):  $(PVOBJECTS) tcmpvo
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(PVOBJECTS) \
	-ldiagram -leditor -lguix $(LIB_DIR)/libglobal.a \
	tcmpv.o -o $@ $(LDFLAGS) $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

libtcmpv.a: $(PVOBJECTS)
	$(AR) $@ $(PVOBJECTS)
	$(CHMODPLUSX) $@
	$(RANLIB) $@
	$(MV) $@ $(LIB_DIR)

tcpd$(EXEEXTENSION):   $(CPOBJECTS) cpeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(CPOBJECTS) cpeditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tdpd$(EXEEXTENSION):   $(PVOBJECTS) dpeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(PVOBJECTS) dpeditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

clean: xclean

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
cpdcomponentnode.o: cpdcomponentnode.c cpdcomponentnode.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h cpgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h
cpddependencyedge.o: cpddependencyedge.c cpddependencyedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h cpgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h
cpdiagram.o: cpdiagram.c cpddependencyedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  cpdrealizationedge.h cpdcomponentnode.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h cpdinterfacenode.h \
  dpdresourcenode.h dpdcommunicationedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/note.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/comment.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/notebox.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodeshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapetype.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/polygon.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/polypoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/solidhorizontalbar.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/buildingblock.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/cube.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/miniellipse.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/ellipse.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/line.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/commentlink.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/emptyedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/textbox.h cpdiagram.h \
  cpviewer.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapeview.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/grid.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodealign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagram.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/sequence.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/grafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/color.h cpgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h cpwindow.h
cpdinterfacenode.o: cpdinterfacenode.c cpdinterfacenode.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h cpgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h
cpdrealizationedge.o: cpdrealizationedge.c cpdrealizationedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h cpgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h
cpeditor.o: cpeditor.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/application.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h cpwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h
cpgraph.o: cpgraph.c cpgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h
cpviewer.o: cpviewer.c cpviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapeview.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/grid.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodealign.h cpwindow.h
cpwindow.o: cpwindow.c cpwindow.h \

=== src/sd/tr/Makefile ===
include ../../Config.tmpl
 
GTOBJECTS = textedge.o\
	textnode.o\
	textroot.o\
	trdiagram.o\
	trgraph.o\
	trview.o\
	trviewer.o\
	trwindow.o
 
FDOBJECTS = $(GTOBJECTS)\
	fddiagram.o\
	fdviewer.o\
	fdwindow.o

TROBJECTS = $(FDOBJECTS)
 
tcmtr$(EXEEXTENSION):  $(TROBJECTS) tcmtr.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(TROBJECTS) \
	-ldiagram -leditor -lguix $(LIB_DIR)/libglobal.a \
	tcmtr.o -o $@ $(LDFLAGS) $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

libtcmtr.a: $(TROBJECTS)
	$(AR) $@ $(TROBJECTS)
	$(CHMODPLUSX) $@
	$(RANLIB) $@
	$(MV) $@ $(LIB_DIR)

tgtt$(EXEEXTENSION):   $(GTOBJECTS) gteditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(GTOBJECTS) gteditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tfrt$(EXEEXTENSION):   $(FDOBJECTS) fdeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(FDOBJECTS) fdeditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

clean: xclean

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
fddiagram.o: fddiagram.c fdwindow.h trwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramchecks.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h fdgraph.h \
  trgraph.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  fdviewer.h trviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapeview.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/grid.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodealign.h fddiagram.h \
  trdiagram.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagram.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/sequence.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/line.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h
fdeditor.o: fdeditor.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/application.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h fdwindow.h \
  trwindow.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h
fdgraph.o: fdgraph.c
fdviewer.o: fdviewer.c fdwindow.h trwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h fdviewer.h \
  trviewer.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapeview.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/grid.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodealign.h
fdwindow.o: fdwindow.c fdwindow.h trwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h fddiagram.h \
  trdiagram.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagram.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapeview.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/grid.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodealign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/sequence.h fdviewer.h \
  trviewer.h fdgraph.h trgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/TextNode.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/TextRoot.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/Comment.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/EmptyLine.xbm
gteditor.o: gteditor.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/application.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h trwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h
tcmtr.o: tcmtr.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/application.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/system.h fdwindow.h \
  trwindow.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \

=== debian/changelog ===
tcm (2.20+TSQD-9) unstable; urgency=medium

  * QA upload.
  * Rename tcpd to tcm-tcpd.  (Closes: #1076222)
  * tcm-doc: Set M-A: foreign.
  * Drop redundant Rules-Requires-Root: no.
  * Add missing Makefile dependencies.  (Closes: #1105712)
  * Switch to debhelper-compat (= 13).
  * Fix typos.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 23 Sep 2025 23:23:30 +0200

tcm (2.20+TSQD-8) unstable; urgency=medium

  * QA upload.
  * Import package history into GIT.
  * Fix building with GCC 14.  (Closes: #1075555)
  * Fix building twice in a row.  (Closes: #1048958)
  * Use flags from dpkg-buildflags.  (Closes: #1021498)
  * Deduplicate documentation.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Oct 2024 08:57:18 +0200

tcm (2.20+TSQD-7) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Fix FTBFS with GCC 11.  (Closes: #984361)
  * Fail early on unknown platforms.
  * Set Rules-Requires-Root: no.
  * Suggest tcm-doc.  (Closes: #849618)

  [ Roland Rosenfeld ]
  * The transfig package has been renamed to fig2dev.  (Closes: #866158)

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass cross tools to make. (Closes: #981310)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Oct 2021 21:38:16 +0200

tcm (2.20+TSQD-6) unstable; urgency=medium

  * QA upload.
  * Switch to source format 3.0 (quilt).
  * Build with -fcommon to fix FTBFS with GCC 10.  (Closes: #957863)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Aug 2020 22:17:38 +0200

tcm (2.20+TSQD-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.  (Closes: #722943)
  * Set Maintainer to Debian QA Group.  (See: #847248)
  * Switch to debhelper compat level 9.  (Closes: #817686)

  [ Santiago Vila ]
  * Add missing build-arch/build-indep targets.  (Closes: #822031)

  [ Nicolas Sévelin-Radiguet ]
  * Fix FTBFS with clang.  (Closes: #745652)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Dec 2016 11:29:13 +0100

tcm (2.20+TSQD-4.4) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libxt-dev (Closes: #707923).
  * Transition from lesstif2 to motif (Closes: #714668).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 17:55:28 +0200

tcm (2.20+TSQD-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Refresh Makefile patch (Closes: #718156).

 -- Margarita Manterola <marga@debian.org>  Fri, 09 Aug 2013 09:48:38 +0000

tcm (2.20+TSQD-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    + Fix bashism (Closes: #478629). Patch by Chris Lamb.

 -- Marco Rodrigues <gothicx@sapo.pt>  Mon, 16 Jun 2008 09:42:17 +0100

tcm (2.20+TSQD-4.1) unstable; urgency=low

  * Non-maintainer upload to fix Failure To Build From Source.

  [ Barry deFreese ]
  * Remove src/Config.tmpl symlink before copying debian/Config.tmpl.
    (Closes: #464288).

  [ Margarita Manterola ]
  * Fix watch file (Closes: #449836).
  * Fix debian/menu to use "Applications" instead of "Apps".
  * Fix debian/copyright to include the proper copyright notice.

 -- Margarita Manterola <marga@debian.org>  Sun, 09 Mar 2008 01:04:17 +0000

tcm (2.20+TSQD-4) unstable; urgency=low

  * debian/Config.tmpl: Remove useless libraries from LDFLAGS.
  * debian/rules: Remove executable bit from /etc files.
  * debian/copyright: Update FSF address.
  * debian/control: Update standards-version to 3.7.2.
  * debian/menu: Remove tert and teft entries since them are not being
    built anymore.

 -- Otavio Salvador <otavio@debian.org>  Fri,  4 May 2007 20:58:44 -0300

tcm (2.20+TSQD-3) unstable; urgency=medium

  * Ack previous NMUs.
    - Added 30_amd64_null.dpatch from Adrian Knoth to fix segfaults on amd64.
      (Closes: #339040) (Thanks Norbert Tretkowski <nobse@debian.org>)
    - debian/Config.tmpl: Fix conditional syntax. (Closes: #355985)
      (Thanks Matej Vela <vela@debian.org>)
  * Add 31_fix_gcc_4_1.dpatch: fix ugly C++ programming. Thanks to Martin
    Michlmayr <tbm@cyrius.com> for the patch.

 -- Otavio Salvador <otavio@debian.org>  Sat,  8 Apr 2006 10:03:43 -0300

tcm (2.20+TSQD-2) unstable; urgency=low

  * Ack previous NMU. (Closes: #327362, #320336)
  * Add build-depends of libxau-dev. Fix FTBFS on arm.
  * Fix a spelling error no menu file. (Closes: #305111)
  * Bumb Standards-Version to 3.6.2. No changes need.
  * Convert previous patches to:
    - 15_fix_gcc_4_0.dpatch: fix issues while building with gcc 4.0;
    - 16_gv_preview.dpatch: fix gv params;
  * Remove 14_fix_gcc_3_4.dpatch since 15_fix_gcc_4_0.dpatch replace it;
  * Add 20_fix_doc.dpatch: Remove wrong links from docs. (Closes: #322336)

 -- Otavio Salvador <otavio@debian.org>  Wed, 14 Sep 2005 20:17:10 -0300

tcm (2.20+TSQD-1.1) unstable; urgency=medium

  * NMU.
  * Fix build failure with gcc 4.0.  Thanks to Andreas Jochens for the patch.
    Closes: #327362.
  * Call gv with `--media=<a4|letter> --orientation=<portrait|landscape>'
    rather than `-<a4|letter> -<portrait|landscape>'.  Closes: #320336.

 -- Matej Vela <vela@debian.org>  Mon, 12 Sep 2005 16:23:26 +0200

tcm (2.20+TSQD-1) unstable; urgency=low

  * New upstream release
    - Don't use obsolete function anymore (Closes: #234512).
  * debian/menu: add TSQD diagram item.

 -- Otavio Salvador <otavio@debian.org>  Thu, 26 Aug 2004 12:34:24 -0300

tcm (2.20-7) unstable; urgency=low

  * Update packaging, now conforming to policy version 3.6.1.
  * Change the build-depends: remove the depends of gcc versions bellow of
    3.3 since all previous bugs are fixed.
  * Fix FTBFS with gcc-3.4. Thanks to Andreas Jochens (closes: #263761).
    - Included debian/patches/14_fix_gcc_3_4.dpatch.

 -- Otavio Salvador <otavio@debian.org>  Sat,  7 Aug 2004 16:02:20 -0300

tcm (2.20-6) unstable; urgency=low

  * Change the build-depends:
    - included the need of one version lowest then 2.5.31 for flex;
    - updated the gcc depends to gcc (<< 3.3) | gcc-3.3 (>= 3.3.1-0pre0):
      - droped debian/patches/10_change_gcc_default.dpatch.
    - updated the flex depends:


=== debian/control ===
Source: tcm
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libmotif-dev,
 libxt-dev,
 bison,
 flex,
 libxau-dev,
Standards-Version: 3.7.2
Homepage: https://web.archive.org/web/20120511170334/http://wwwhome.cs.utwente.nl/~tcm/
Vcs-Browser: https://salsa.debian.org/debian/tcm
Vcs-Git: https://salsa.debian.org/debian/tcm.git

Package: tcm
Architecture: any
Depends:
 fig2dev,
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 tcm-doc,
 xfonts-scalable,
Description: Toolkit for Conceptual Modeling (TCM)
 The Toolkit for Conceptual Modeling is a collection of software tools
 to present conceptual models of software systems in the form of
 diagrams, tables, trees, and the like. A conceptual model of a system
 is a structure used to represent the requirements or architecture of
 the system. TCM is meant to be used for specifying and maintaining
 requirements for desired systems, in which a number of techniques and
 heuristics for problem analysis, function refinement, behavior
 specification, and architecture specification are used.  TCM takes
 the form of a suite of graphical editors that can be used in these
 design tasks. These editors can be categorized
 into:
 .
  * Generic editors for generic diagrams, generic tables and generic
    trees.
  * Structured Analysis (SA) editors for entity-relationship diagrams,
    data and event flow diagrams, state transition diagrams, function
    refinement trees, transaction-use tables and function-entity type
    tables.
  * Unified Modeling Language (UML) editors for static structure
    diagrams, use-case diagrams, activity diagrams, state charts, message
    sequence diagrams, collaboration diagrams, component diagrams and
    deployment diagrams (only the first three UML and last two editors
    are functional at this moment).
  * Miscellaneous editors such as for JSD (process structure and
    network diagrams), recursive process graphs and transaction decomposition
    tables.
 .
 TCM supports constraint checking for single documents (e.g. name
 duplication and cycles in is-a relationships). TCM distinguishes
 built-in constraints (of which a violation cannot even be attempted)
 from immediate constraints (of which an attempted violation is
 immediately prevented) and soft constraints (against which the editor
 provides a warning when it checks the drawing). TCM is planned to
 support hierarchic graphs, so that it can handle for example
 hierarchic statecharts. Features to be added later
 include constraint checking across documents and executable models.

Package: tcm-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Documentation for Toolkit for Conceptual Modeling (TCM)
 The Toolkit for Conceptual Modeling is a collection of software tools
 to present conceptual models of software systems in the form of
 diagrams, tables, trees, and the like. A conceptual model of a system
 is a structure used to represent the requirements or architecture of
 the system. TCM is meant to be used for specifying and maintaining
 requirements for desired systems, in which a number of techniques and
 heuristics for problem analysis, function refinement, behavior
 specification, and architecture specification are used.  TCM takes
 the form of a suite of graphical editors that can be used in these
 design tasks. These editors can be categorized
 into:
 .
  * Generic editors for generic diagrams, generic tables and generic
    trees.
  * Structured Analysis (SA) editors for entity-relationship diagrams,
    data and event flow diagrams, state transition diagrams, function
    refinement trees, transaction-use tables and function-entity type
    tables.
  * Unified Modeling Language (UML) editors for static structure
    diagrams, use-case diagrams, activity diagrams, state charts, message
    sequence diagrams, collaboration diagrams, component diagrams and
    deployment diagrams (only the first three UML and last two editors
    are functional at this moment).
  * Miscellaneous editors such as for JSD (process structure and
    network diagrams), recursive process graphs and transaction decomposition
    tables.
 .
 TCM supports constraint checking for single documents (e.g. name
 duplication and cycles in is-a relationships). TCM distinguishes
 built-in constraints (of which a violation cannot even be attempted)
 from immediate constraints (of which an attempted violation is
 immediately prevented) and soft constraints (against which the editor
 provides a warning when it checks the drawing). TCM is planned to
 support hierarchic graphs, so that it can handle for example
 hierarchic statecharts. Features to be added later
 include constraint checking across documents and executable models.
 .
 This package contains all the documentation that comes in the original
 tarball.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

CFLAGS		+= $(CPPFLAGS)
CXXFLAGS	+= $(CPPFLAGS)
CXXFLAGS	+= -fcommon
CFLAGS		+= $(LDFLAGS)
CXXFLAGS	+= $(LDFLAGS)

configure: configure-stamp
configure-stamp:
	dh_testdir

	$(MAKE) config
	rm -f src/Config.tmpl
	cp debian/Config.tmpl src/
	touch configure-stamp

build-arch: build
build-indep: build
build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE) Cc='$(CC) $(CFLAGS)' \
		CC='$(CXX)' \
		CFLAGS='$(CXXFLAGS) -DCONFIG_INSTALL=\"/etc/tcm/\" -DTCM_INSTALL_DIR=\"/usr\" -DTCM_INSTALL_LIB=\"/usr/lib/\" -DTCM_INSTALL_SHARE=\"/usr/share/doc/tcm-doc/\" -DCONFIG_FILE=\"tcm.conf\" -DHELP_DIR=\"/usr/share/doc/tcm-doc/help/\" -DCOLOR_FILE=\"colorrgb.txt\" -DBANNER_FILE=\"banner.ps\"' \
		TCM_INSTALL_DIR=/usr \
		CONFIG_INSTALL=/etc/tcm/ \
		TCM_INSTALL_DOC=/usr/share/doc/tcm-doc \
		TCM_INSTALL_SHARE=/usr/share/doc/tcm-doc/ \
		TCM_INSTALL_MAN=/usr/share/man \
		execs
#
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) clean
	(cd src; rm Makefile -f; ln -s Makefile.gcc Makefile) #fix the diff
	$(RM) src/Config.tmpl
	ln -s Config.tmpl_linux src/Config.tmpl
	rm -f src/gl/instances.h

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) TCM_INSTALL_DIR=$(CURDIR)/debian/tcm/usr \
			      CONFIG_INSTALL=$(CURDIR)/debian/tcm/etc/tcm/ \
			      TCM_INSTALL_DOC=$(CURDIR)/debian/tcm-doc/usr/share/doc/tcm-doc \
			      TCM_INSTALL_SHARE=$(CURDIR)/debian/tcm-doc/usr/share/doc/tcm-doc/ \
			      TCM_INSTALL_MAN=$(CURDIR)/debian/tcm/usr/share/man/ \
			      install

	-rm $(CURDIR)/debian/tcm/usr/*
	-rm $(CURDIR)/debian/tcm/usr/share/man/windex
	-rm $(CURDIR)/debian/tcm/usr/man -r

	find $(CURDIR)/debian/tcm/etc -type f -exec chmod -x {} \;

	sed 's/{ FontFamily Helvetica }/{ FontFamily Courier }/g' < lib/tcm.conf > debian/tcm/etc/tcm/tcm.conf

	mv debian/tcm/usr/bin/tcpd debian/tcm/usr/bin/tcm-tcpd
	mv debian/tcm/usr/share/man/man1/tcpd.1 debian/tcm/usr/share/man/man1/tcm-tcpd.1

binary-indep: build install
	rm $(CURDIR)/debian/tcm-doc/usr/share/doc/tcm-doc/help/CHANGELOG
	printf "You can see all changes using:\n  $: zless /usr/share/doc/tcm-doc/changelog.gz\n" > $(CURDIR)/debian/tcm-doc/usr/share/doc/tcm-doc/help/CHANGELOG

	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
#	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs CHANGELOG -i
	dh_link -i
	dh_compress -i -Xhelp/
	dh_fixperms -i
	hardlink -v -t debian/tcm-doc/usr/share/doc/tcm-doc
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs CHANGELOG -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
